import request from '@/utils/request'

// 查询标签分类列表
export function listTag(query) {
  return request({
    url: '/ems/tag/list',
    method: 'get',
    params: query
  })
}

// 查询标签分类详细
export function getTag(id) {
  return request({
    url: '/ems/tag/' + id,
    method: 'get'
  })
}

// 新增标签分类
export function addTag(data) {
  return request({
    url: '/ems/tag',
    method: 'post',
    data: data
  })
}

// 修改标签分类
export function updateTag(data) {
  return request({
    url: '/ems/tag',
    method: 'put',
    data: data
  })
}

// 删除标签分类
export function delTag(id) {
  return request({
    url: '/ems/tag/' + id,
    method: 'delete'
  })
}
